%define oldname libgtop2
%define ver_major 2.14
%def_disable static
%def_with examples

Name: libgtop
Version: %ver_major.6
Release: alt1

Summary: LibGTop library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Obsoletes: %oldname < 2.14.2
Provides: %oldname = %version-%release

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch2: %name-2.0.0-texinfo.patch
Patch4: %name-2.9.90-alt-examples_makefile.patch
Patch5: %name-2.0.1-alt-as.patch
Patch7: %name-2.14.0-fix-link-as-needed.patch

# From configure.in
%define glib_ver 2.6.0

BuildPreReq: intltool >= 0.35
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gtk-doc >= 1.4
BuildPreReq: libpopt-devel libgdbm-devel kernel-headers-std libXau-devel libXt-devel

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package utils
Group: System/Base
Summary: The LibGTop utils
Obsoletes: %oldname-utils < 2.14.2
Provides: %oldname-utils = %version-%release
Requires: %name = %version-%release

%description utils
This package contains some libGTop utils

%package examples
Group: Development/GNOME and GTK+
Summary: The LibGTop samples
Obsoletes: %oldname-examples < 2.14.2
Provides: %oldname-examples = %version-%release
Requires: %name = %version-%release

%description examples
This package contains some example of using %name library

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Obsoletes: %oldname-devel < 2.14.2
Provides: %oldname-devel = %version-%release
Requires: %name = %version-%release
Requires: libgdbm-devel
Requires: libpopt-devel
Requires(post): %install_info
Requires(preun): %uninstall_info

%description devel
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
Conflicts: %name-devel < %version-%release

%description devel-doc
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

This package contains development documentation for the library.

%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Obsoletes: %oldname-devel-static < 2.14.2
Provides: %oldname-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries for development with %name.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q
%patch2 -p1
%patch4 -p1
%patch5 -p1
#patch7 -p0

rm -rf doc/*.info
#__subst 's,\(\#\#f\)\#\#,\1,' examples/sysdeps.c

%build
%__autoreconf

%configure \
    %{subst_enable static} \
	--enable-gtk-doc \
	--with-libgtop-inodedb  \
	--with-libgtop-smp \
%if_with examples
	--with-libgtop-examples \
%endif

%make_build

%install
%makeinstall

%find_lang %name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %oldname.info

%preun devel
%uninstall_info %oldname.info

%files -f %name-2.0.lang
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files  utils
%_bindir/*inode*

%if_with examples
%files examples
%dir %_libdir/%name
%_libdir/%name/*
%endif

%files devel
%_includedir/%name-2.0
%_libdir/*.so
%_libdir/pkgconfig/*
%_infodir/*.info*
%doc AUTHORS ChangeLog

%files devel-doc
%_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Jan 17 2007 Alexey Rusakov <ktirf@altlinux.org> 2.14.6-alt1
- new version (2.14.6)
- includes the fix for GNOME Bug 396477 (privilege escalation, Secunia advisory SA23736)
- updated dependencies, introduced a new devel-doc subpackage with gtk-doc book.

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.4-alt1
- new version (2.14.4)
- patch for --as-needed went upstream.
- removed no more necessary subst in examples' sources.

* Thu Aug 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- removed '2' from the package name

* Wed Mar 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)
- fixed linking with --as-needed.

* Sat Feb 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.3-alt1
- new version
- spec cleanup, buildreqs updated

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed more excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Wed Jun 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1
- isdn patch removed (fixed in upstream).

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sat Jan 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt2
- do not package .la files.
- do not build devel-static subpackage by default.
- make buildable with recent autoconf (2.59).

* Mon Oct 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat May 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- new version.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt3
- rebuild to fix broken .la file.

* Fri Sep 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt2
- build without internal gnomesupport (this was a hack). Use our libpopt instead.
- additional package splitting (added utils(for daemon) and examples(optional))
- added source url

* Sat Jun 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus
- Applied patches from libgtop package
- daemon_build.patch
